import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/goods/` + url, ...arg)

/**
 * 货品管理Api接口管理器
 *
 * @author 徐超
 * @date  2025/01/02 17:44
 **/
export default {
	// 获取货品管理分页
	bizGoodsPage(data) {
		return request('page', data, 'get')
	},
	// 提交货品管理表单 edit为true时为编辑，默认为新增
	bizGoodsSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除货品管理
	bizGoodsDelete(data) {
		return request('delete', data)
	},
	// 获取货品管理详情
	bizGoodsDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取货品列表
	getList(data){
		return request('getList',data,'get')
	}
}
